Index: LMDZ6/branches/Amaury_dev/libf/phylmdiso/phys_output_ctrlout_mod.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmdiso/phys_output_ctrlout_mod.F90	(revision 5098)
+++ LMDZ6/branches/Amaury_dev/libf/phylmdiso/phys_output_ctrlout_mod.F90	(revision 5099)
@@ -9,445 +9,442 @@
 
   IMPLICIT NONE
-      INTEGER, PRIVATE :: i
-
-!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
-!! Definition pour chaque variable du niveau d ecriture dans chaque fichier,
-!! de son nom, de sa description, de son unité et du type d'écriture.
-!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!/ histmth, histday, histhf, histins /),'!!!!!!!!!!!!
-!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
-!  CHARACTER(len=20), dimension(nfiles) :: TEF = type_ecri_files
-
-!!! saving lon and lat as variables for CMIP6 DataRequest
+  INTEGER, PRIVATE :: i
+
+  !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
+  !! Definition pour chaque variable du niveau d ecriture dans chaque fichier,
+  !! de son nom, de sa description, de son unité et du type d'écriture.
+  !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!/ histmth, histday, histhf, histins /),'!!!!!!!!!!!!
+  !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
+  !  CHARACTER(len=20), dimension(nfiles) :: TEF = type_ecri_files
+
+  !!! saving lon and lat as variables for CMIP6 DataRequest
   TYPE(ctrl_out), SAVE :: o_longitude = ctrl_out((/ 1, 1, 1, 1, 1, 1, 11, 11, 11, 11/), &
-    'io_lon', '', '', (/ ('once', i=1, 10) /))
+          'io_lon', '', '', (/ ('once', i = 1, 10) /))
   TYPE(ctrl_out), SAVE :: o_latitude = ctrl_out((/ 1, 1, 1, 1, 1, 1, 11, 11, 11, 11/), &
-    'io_lat', '', '', (/ ('once', i=1, 10) /))
-
-!!! Composantes de la coordonnee sigma-hybride
-!!! Ap et Bp et interfaces
+          'io_lat', '', '', (/ ('once', i = 1, 10) /))
+
+  !!! Composantes de la coordonnee sigma-hybride
+  !!! Ap et Bp et interfaces
   TYPE(ctrl_out), SAVE :: o_Ahyb = ctrl_out((/ 1, 1, 1, 1, 1, 1, 11, 11, 11, 11/), &
-    'Ahyb', 'Ahyb at level interface', '', (/ ('once', i=1, 10) /))
+          'Ahyb', 'Ahyb at level interface', '', (/ ('once', i = 1, 10) /))
   TYPE(ctrl_out), SAVE :: o_Bhyb = ctrl_out((/ 1, 1, 1, 1, 1, 1, 11, 11, 11, 11/), &
-    'Bhyb', 'Bhyb at level interface', '', (/ ('once', i=1, 10) /))
+          'Bhyb', 'Bhyb at level interface', '', (/ ('once', i = 1, 10) /))
   TYPE(ctrl_out), SAVE :: o_Ahyb_bounds = ctrl_out((/ 1, 1, 1, 1, 1, 1, 11, 11, 11, 11/), &
-    'Ahyb_bounds', '', '', (/ ('once', i=1, 10) /))
+          'Ahyb_bounds', '', '', (/ ('once', i = 1, 10) /))
   TYPE(ctrl_out), SAVE :: o_Bhyb_bounds = ctrl_out((/ 1, 1, 1, 1, 1, 1, 11, 11, 11, 11/), &
-    'Bhyb_bounds', '', '', (/ ('once', i=1, 10) /))
-!!! Composantes de la coordonnee sigma-hybride  au milieu des couches
-!!! Aps et Bps et interfaces
+          'Bhyb_bounds', '', '', (/ ('once', i = 1, 10) /))
+  !!! Composantes de la coordonnee sigma-hybride  au milieu des couches
+  !!! Aps et Bps et interfaces
   TYPE(ctrl_out), SAVE :: o_Ahyb_mid = ctrl_out((/ 1, 1, 1, 1, 1, 1, 11, 11, 11, 11/), &
-    'Ahyb_mid', 'Ahyb at the middle of the level', '', (/ ('once', i=1, 10) /))
+          'Ahyb_mid', 'Ahyb at the middle of the level', '', (/ ('once', i = 1, 10) /))
   TYPE(ctrl_out), SAVE :: o_Bhyb_mid = ctrl_out((/ 1, 1, 1, 1, 1, 1, 11, 11, 11, 11/), &
-    'Bhyb_mid', 'Bhyb at the middle of the level', '', (/ ('once', i=1, 10) /))
+          'Bhyb_mid', 'Bhyb at the middle of the level', '', (/ ('once', i = 1, 10) /))
   TYPE(ctrl_out), SAVE :: o_Ahyb_mid_bounds = ctrl_out((/ 1, 1, 1, 1, 1, 1, 11, 11, 11, 11/), &
-    'Ahyb_mid_bounds', '', '', (/ ('once', i=1, 10) /))
+          'Ahyb_mid_bounds', '', '', (/ ('once', i = 1, 10) /))
   TYPE(ctrl_out), SAVE :: o_Bhyb_mid_bounds = ctrl_out((/ 1, 1, 1, 1, 1, 1, 11, 11, 11, 11/), &
-    'Bhyb_mid_bounds', '', '', (/ ('once', i=1, 10) /))
+          'Bhyb_mid_bounds', '', '', (/ ('once', i = 1, 10) /))
 
   TYPE(ctrl_out), SAVE :: o_Alt = ctrl_out((/ 1, 1, 1, 1, 1, 1, 11, 11, 11, 11/), &
-    'Alt', '', '', (/ ('', i=1, 10) /))
-
-!!! 1D
+          'Alt', '', '', (/ ('', i = 1, 10) /))
+
+  !!! 1D
   TYPE(ctrl_out), SAVE :: o_phis = ctrl_out((/ 1, 1, 10, 5, 1, 1, 11, 11, 11, 11/), &
-    'phis', 'Surface geop.height', 'm2/s2', (/ ('', i=1, 10) /))
-  TYPE(ctrl_out), SAVE :: o_aire = ctrl_out((/ 1, 1, 10,  10, 1, 1, 11, 11, 11, 11/), &
-    'aire', 'Grid area', '-', (/ 'once', 'once', 'once', 'once', 'once', 'once', &
-                                 'once', 'once', 'once', 'once' /))
-  TYPE(ctrl_out), SAVE :: o_contfracATM = ctrl_out((/ 10, 1,  1, 10, 10, 10, 11, 11, 11, 11/), &
-    'contfracATM', '% sfce ter+lic', '-', &
-       (/ 'once', 'once', 'once', 'once', 'once', 'once', 'once', 'once', 'once', 'once' /)) 
-  TYPE(ctrl_out), SAVE :: o_contfracOR = ctrl_out((/ 10, 1,  10, 10, 10, 10, 11, 11, 11, 11/), &
-    'contfracOR', '% sfce terre OR', '-', (/ ('', i=1, 10) /))
+          'phis', 'Surface geop.height', 'm2/s2', (/ ('', i = 1, 10) /))
+  TYPE(ctrl_out), SAVE :: o_aire = ctrl_out((/ 1, 1, 10, 10, 1, 1, 11, 11, 11, 11/), &
+          'aire', 'Grid area', '-', (/ 'once', 'once', 'once', 'once', 'once', 'once', &
+                  'once', 'once', 'once', 'once' /))
+  TYPE(ctrl_out), SAVE :: o_contfracATM = ctrl_out((/ 10, 1, 1, 10, 10, 10, 11, 11, 11, 11/), &
+          'contfracATM', '% sfce ter+lic', '-', &
+          (/ 'once', 'once', 'once', 'once', 'once', 'once', 'once', 'once', 'once', 'once' /))
+  TYPE(ctrl_out), SAVE :: o_contfracOR = ctrl_out((/ 10, 1, 10, 10, 10, 10, 11, 11, 11, 11/), &
+          'contfracOR', '% sfce terre OR', '-', (/ ('', i = 1, 10) /))
   TYPE(ctrl_out), SAVE :: o_aireTER = ctrl_out((/ 10, 10, 10, 10, 10, 10, 11, 11, 11, 11/), &
-    'aireTER', 'Grid area CONT', '-', (/ ('', i=1, 10) /))
-
-!!! 2D
+          'aireTER', 'Grid area CONT', '-', (/ ('', i = 1, 10) /))
+
+  !!! 2D
   TYPE(ctrl_out), SAVE :: o_sza = ctrl_out((/ 1, 1, 10, 10, 5, 10, 11, 11, 11, 11/), &
-    'sza', 'Solar zenithal angle', 'degrees', (/ ('', i=1, 10) /))
-
-! Marine
-
-  TYPE(ctrl_out), SAVE :: o_alt_tropo = ctrl_out((/1,1,1,1,1,10,10,10,10,10/),&
-  'alt_tropo','Tropopause pressure','hPa',&
-   (/ "inst(X)", "inst(X)", "inst(X)", "inst(X)", "inst(X)", "inst(X)",&
-      "inst(X)", "inst(X)", "inst(X)", "inst(X)" /))
-
-  TYPE(ctrl_out), SAVE :: o_map_prop_hc = ctrl_out((/1,1,1,1,1,10,10,10,10,10/),&
-  'map_prop_hc','Proportion of high clouds',' ',&
-   (/ "inst(X)", "inst(X)", "inst(X)", "inst(X)", "inst(X)", "inst(X)",&
-      "inst(X)", "inst(X)", "inst(X)", "inst(X)" /))
+          'sza', 'Solar zenithal angle', 'degrees', (/ ('', i = 1, 10) /))
+
+  ! Marine
+
+  TYPE(ctrl_out), SAVE :: o_alt_tropo = ctrl_out((/1, 1, 1, 1, 1, 10, 10, 10, 10, 10/), &
+          'alt_tropo', 'Tropopause pressure', 'hPa', &
+          (/ "inst(X)", "inst(X)", "inst(X)", "inst(X)", "inst(X)", "inst(X)", &
+                  "inst(X)", "inst(X)", "inst(X)", "inst(X)" /))
+
+  TYPE(ctrl_out), SAVE :: o_map_prop_hc = ctrl_out((/1, 1, 1, 1, 1, 10, 10, 10, 10, 10/), &
+          'map_prop_hc', 'Proportion of high clouds', ' ', &
+          (/ "inst(X)", "inst(X)", "inst(X)", "inst(X)", "inst(X)", "inst(X)", &
+                  "inst(X)", "inst(X)", "inst(X)", "inst(X)" /))
 
   TYPE(ctrl_out), SAVE :: o_map_prop_hist = &
-  ctrl_out((/1,1,1,1,1,1,10,10,10,10/),&
-  'map_prop_hist','Proportion of high ice semi-transp clouds',' ',&
-   (/ "inst(X)", "inst(X)", "inst(X)", "inst(X)", "inst(X)", "inst(X)",&
-      "inst(X)", "inst(X)", "inst(X)", "inst(X)" /))
+          ctrl_out((/1, 1, 1, 1, 1, 1, 10, 10, 10, 10/), &
+                  'map_prop_hist', 'Proportion of high ice semi-transp clouds', ' ', &
+                  (/ "inst(X)", "inst(X)", "inst(X)", "inst(X)", "inst(X)", "inst(X)", &
+                          "inst(X)", "inst(X)", "inst(X)", "inst(X)" /))
 
   TYPE(ctrl_out), SAVE :: o_map_emis_hc = &
-  ctrl_out((/1,1,1,1,1,1,10,10,10,10/),&
-  'map_emis_hc','Emissivity of high clouds',' ',&
-   (/ "inst(X)", "inst(X)", "inst(X)", "inst(X)", "inst(X)", "inst(X)",&
-      "inst(X)", "inst(X)", "inst(X)", "inst(X)" /))
+          ctrl_out((/1, 1, 1, 1, 1, 1, 10, 10, 10, 10/), &
+                  'map_emis_hc', 'Emissivity of high clouds', ' ', &
+                  (/ "inst(X)", "inst(X)", "inst(X)", "inst(X)", "inst(X)", "inst(X)", &
+                          "inst(X)", "inst(X)", "inst(X)", "inst(X)" /))
 
   TYPE(ctrl_out), SAVE :: o_map_iwp_hc = &
-  ctrl_out((/1,1,1,1,1,10,10,10,10,10/),&
-  'map_iwp_hc','Ice water path of high clouds','g/m2',&
-   (/ "inst(X)", "inst(X)", "inst(X)", "inst(X)", "inst(X)", "inst(X)",&
-      "inst(X)", "inst(X)", "inst(X)", "inst(X)" /))
+          ctrl_out((/1, 1, 1, 1, 1, 10, 10, 10, 10, 10/), &
+                  'map_iwp_hc', 'Ice water path of high clouds', 'g/m2', &
+                  (/ "inst(X)", "inst(X)", "inst(X)", "inst(X)", "inst(X)", "inst(X)", &
+                          "inst(X)", "inst(X)", "inst(X)", "inst(X)" /))
 
   TYPE(ctrl_out), SAVE :: o_map_deltaz_hc = &
-  ctrl_out((/1,1,1,1,1,10,10,10,10,10/),&
-  'map_deltaz_hc','geom thickness of high clouds','m',&
-   (/ "inst(X)", "inst(X)", "inst(X)", "inst(X)", "inst(X)", "inst(X)",&
-      "inst(X)", "inst(X)", "inst(X)", "inst(X)" /))
+          ctrl_out((/1, 1, 1, 1, 1, 10, 10, 10, 10, 10/), &
+                  'map_deltaz_hc', 'geom thickness of high clouds', 'm', &
+                  (/ "inst(X)", "inst(X)", "inst(X)", "inst(X)", "inst(X)", "inst(X)", &
+                          "inst(X)", "inst(X)", "inst(X)", "inst(X)" /))
 
   TYPE(ctrl_out), SAVE :: o_map_pcld_hc = &
-  ctrl_out((/1,1,1,1,1,10,10,10,10,10/),&
-  'map_pcld_hc','cloud pressure of high clouds','hPa',&
-   (/ "inst(X)", "inst(X)", "inst(X)", "inst(X)", "inst(X)", "inst(X)",&
-      "inst(X)", "inst(X)", "inst(X)", "inst(X)" /))
-
-   TYPE(ctrl_out), SAVE :: o_map_tcld_hc = &
-  ctrl_out((/1,1,1,1,1,10,10,10,10,10/),&
-  'map_tcld_hc','cloud temperature of high clouds','K',&
-   (/ "inst(X)", "inst(X)", "inst(X)", "inst(X)", "inst(X)", "inst(X)",&
-      "inst(X)", "inst(X)", "inst(X)", "inst(X)" /))
+          ctrl_out((/1, 1, 1, 1, 1, 10, 10, 10, 10, 10/), &
+                  'map_pcld_hc', 'cloud pressure of high clouds', 'hPa', &
+                  (/ "inst(X)", "inst(X)", "inst(X)", "inst(X)", "inst(X)", "inst(X)", &
+                          "inst(X)", "inst(X)", "inst(X)", "inst(X)" /))
+
+  TYPE(ctrl_out), SAVE :: o_map_tcld_hc = &
+          ctrl_out((/1, 1, 1, 1, 1, 10, 10, 10, 10, 10/), &
+                  'map_tcld_hc', 'cloud temperature of high clouds', 'K', &
+                  (/ "inst(X)", "inst(X)", "inst(X)", "inst(X)", "inst(X)", "inst(X)", &
+                          "inst(X)", "inst(X)", "inst(X)", "inst(X)" /))
 
   TYPE(ctrl_out), SAVE :: o_map_emis_hist = &
-  ctrl_out((/1,1,1,1,1,10,10,10,10,10/),&
-  'map_emis_hist','Emissivity of high ice st clouds',' ',&
-   (/ "inst(X)", "inst(X)", "inst(X)", "inst(X)", "inst(X)", "inst(X)",&
-      "inst(X)", "inst(X)", "inst(X)", "inst(X)" /))
+          ctrl_out((/1, 1, 1, 1, 1, 10, 10, 10, 10, 10/), &
+                  'map_emis_hist', 'Emissivity of high ice st clouds', ' ', &
+                  (/ "inst(X)", "inst(X)", "inst(X)", "inst(X)", "inst(X)", "inst(X)", &
+                          "inst(X)", "inst(X)", "inst(X)", "inst(X)" /))
 
   TYPE(ctrl_out), SAVE :: o_map_iwp_hist = &
-  ctrl_out((/1,1,1,1,1,10,10,10,10,10/),&
-  'map_iwp_hist','Ice water path of high ice st clouds','g/m2',&
-   (/ "inst(X)", "inst(X)", "inst(X)", "inst(X)", "inst(X)", "inst(X)",&
-      "inst(X)", "inst(X)", "inst(X)", "inst(X)" /))
+          ctrl_out((/1, 1, 1, 1, 1, 10, 10, 10, 10, 10/), &
+                  'map_iwp_hist', 'Ice water path of high ice st clouds', 'g/m2', &
+                  (/ "inst(X)", "inst(X)", "inst(X)", "inst(X)", "inst(X)", "inst(X)", &
+                          "inst(X)", "inst(X)", "inst(X)", "inst(X)" /))
 
   TYPE(ctrl_out), SAVE :: o_map_deltaz_hist = &
-  ctrl_out((/1,1,1,1,1,10,10,10,10,10/),&
-  'map_deltaz_hist','geom thickness of high ice st clouds','m',&
-   (/ "inst(X)", "inst(X)", "inst(X)", "inst(X)", "inst(X)", "inst(X)",&
-      "inst(X)", "inst(X)", "inst(X)", "inst(X)" /))
+          ctrl_out((/1, 1, 1, 1, 1, 10, 10, 10, 10, 10/), &
+                  'map_deltaz_hist', 'geom thickness of high ice st clouds', 'm', &
+                  (/ "inst(X)", "inst(X)", "inst(X)", "inst(X)", "inst(X)", "inst(X)", &
+                          "inst(X)", "inst(X)", "inst(X)", "inst(X)" /))
 
   TYPE(ctrl_out), SAVE :: o_map_rad_hist = &
-  ctrl_out((/1,1,1,1,1,10,10,10,10,10/),&
-  'map_rad_hist','ice crystals radius in high ice st clouds','µm',&
-   (/ "inst(X)", "inst(X)", "inst(X)", "inst(X)", "inst(X)", "inst(X)",&
-      "inst(X)", "inst(X)", "inst(X)", "inst(X)" /))
-
-
- TYPE(ctrl_out), SAVE :: o_map_emis_Cb = &
-  ctrl_out((/1,1,1,1,1,10,10,10,10,10/),&
-  'map_emis_Cb','Emissivity of high Cb clouds',' ',&
-   (/ "inst(X)", "inst(X)", "inst(X)", "inst(X)", "inst(X)", "inst(X)",&
-      "inst(X)", "inst(X)", "inst(X)", "inst(X)" /))
-
- TYPE(ctrl_out), SAVE :: o_map_pcld_Cb = &
-  ctrl_out((/1,1,1,1,1,10,10,10,10,10/),&
-  'map_pcld_Cb','cloud pressure of high Cb clouds','hPa',&
-   (/ "inst(X)", "inst(X)", "inst(X)", "inst(X)", "inst(X)", "inst(X)",&
-      "inst(X)", "inst(X)", "inst(X)", "inst(X)" /))
-
- TYPE(ctrl_out), SAVE :: o_map_tcld_Cb = &
-  ctrl_out((/1,1,1,1,1,10,10,10,10,10/),&
-  'map_tcld_Cb','cloud temperature of high Cb clouds','K',&
-   (/ "inst(X)", "inst(X)", "inst(X)", "inst(X)", "inst(X)", "inst(X)",&
-      "inst(X)", "inst(X)", "inst(X)", "inst(X)" /))
-
-
- TYPE(ctrl_out), SAVE :: o_map_emis_Anv = &
-  ctrl_out((/1,1,1,1,1,10,10,10,10,10/),&
-  'map_emis_Anv','Emissivity of high Anv clouds',' ',&
-   (/ "inst(X)", "inst(X)", "inst(X)", "inst(X)", "inst(X)", "inst(X)",&
-      "inst(X)", "inst(X)", "inst(X)", "inst(X)" /))
-
- TYPE(ctrl_out), SAVE :: o_map_pcld_Anv = &
-  ctrl_out((/1,1,1,1,1,10,10,10,10,10/),&
-  'map_pcld_Anv','cloud pressure of high Anv clouds','hPa',&
-   (/ "inst(X)", "inst(X)", "inst(X)", "inst(X)", "inst(X)", "inst(X)",&
-      "inst(X)", "inst(X)", "inst(X)", "inst(X)" /))
+          ctrl_out((/1, 1, 1, 1, 1, 10, 10, 10, 10, 10/), &
+                  'map_rad_hist', 'ice crystals radius in high ice st clouds', 'µm', &
+                  (/ "inst(X)", "inst(X)", "inst(X)", "inst(X)", "inst(X)", "inst(X)", &
+                          "inst(X)", "inst(X)", "inst(X)", "inst(X)" /))
+
+  TYPE(ctrl_out), SAVE :: o_map_emis_Cb = &
+          ctrl_out((/1, 1, 1, 1, 1, 10, 10, 10, 10, 10/), &
+                  'map_emis_Cb', 'Emissivity of high Cb clouds', ' ', &
+                  (/ "inst(X)", "inst(X)", "inst(X)", "inst(X)", "inst(X)", "inst(X)", &
+                          "inst(X)", "inst(X)", "inst(X)", "inst(X)" /))
+
+  TYPE(ctrl_out), SAVE :: o_map_pcld_Cb = &
+          ctrl_out((/1, 1, 1, 1, 1, 10, 10, 10, 10, 10/), &
+                  'map_pcld_Cb', 'cloud pressure of high Cb clouds', 'hPa', &
+                  (/ "inst(X)", "inst(X)", "inst(X)", "inst(X)", "inst(X)", "inst(X)", &
+                          "inst(X)", "inst(X)", "inst(X)", "inst(X)" /))
+
+  TYPE(ctrl_out), SAVE :: o_map_tcld_Cb = &
+          ctrl_out((/1, 1, 1, 1, 1, 10, 10, 10, 10, 10/), &
+                  'map_tcld_Cb', 'cloud temperature of high Cb clouds', 'K', &
+                  (/ "inst(X)", "inst(X)", "inst(X)", "inst(X)", "inst(X)", "inst(X)", &
+                          "inst(X)", "inst(X)", "inst(X)", "inst(X)" /))
+
+  TYPE(ctrl_out), SAVE :: o_map_emis_Anv = &
+          ctrl_out((/1, 1, 1, 1, 1, 10, 10, 10, 10, 10/), &
+                  'map_emis_Anv', 'Emissivity of high Anv clouds', ' ', &
+                  (/ "inst(X)", "inst(X)", "inst(X)", "inst(X)", "inst(X)", "inst(X)", &
+                          "inst(X)", "inst(X)", "inst(X)", "inst(X)" /))
+
+  TYPE(ctrl_out), SAVE :: o_map_pcld_Anv = &
+          ctrl_out((/1, 1, 1, 1, 1, 10, 10, 10, 10, 10/), &
+                  'map_pcld_Anv', 'cloud pressure of high Anv clouds', 'hPa', &
+                  (/ "inst(X)", "inst(X)", "inst(X)", "inst(X)", "inst(X)", "inst(X)", &
+                          "inst(X)", "inst(X)", "inst(X)", "inst(X)" /))
 
   TYPE(ctrl_out), SAVE :: o_map_tcld_Anv = &
-  ctrl_out((/1,1,1,1,1,10,10,10,10,10/),&
-  'map_tcld_Anv','cloud temperature of high Anv clouds','K',&
-   (/ "inst(X)", "inst(X)", "inst(X)", "inst(X)", "inst(X)", "inst(X)",&
-      "inst(X)", "inst(X)", "inst(X)", "inst(X)" /))
+          ctrl_out((/1, 1, 1, 1, 1, 10, 10, 10, 10, 10/), &
+                  'map_tcld_Anv', 'cloud temperature of high Anv clouds', 'K', &
+                  (/ "inst(X)", "inst(X)", "inst(X)", "inst(X)", "inst(X)", "inst(X)", &
+                          "inst(X)", "inst(X)", "inst(X)", "inst(X)" /))
 
   TYPE(ctrl_out), SAVE :: o_map_emis_ThCi = &
-  ctrl_out((/1,1,1,1,1,10,10,10,10,10/),&
-  'map_emis_ThCi','Emissivity of high ThCi clouds',' ',&
-   (/ "inst(X)", "inst(X)", "inst(X)", "inst(X)", "inst(X)", "inst(X)",&
-      "inst(X)", "inst(X)", "inst(X)", "inst(X)" /))
+          ctrl_out((/1, 1, 1, 1, 1, 10, 10, 10, 10, 10/), &
+                  'map_emis_ThCi', 'Emissivity of high ThCi clouds', ' ', &
+                  (/ "inst(X)", "inst(X)", "inst(X)", "inst(X)", "inst(X)", "inst(X)", &
+                          "inst(X)", "inst(X)", "inst(X)", "inst(X)" /))
 
   TYPE(ctrl_out), SAVE :: o_map_pcld_ThCi = &
-  ctrl_out((/1,1,1,1,1,10,10,10,10,10/),&
-  'map_pcld_ThCi','cloud pressure of high ThCi clouds','hPa',&
-   (/ "inst(X)", "inst(X)", "inst(X)", "inst(X)", "inst(X)", "inst(X)",&
-      "inst(X)", "inst(X)", "inst(X)", "inst(X)" /))
+          ctrl_out((/1, 1, 1, 1, 1, 10, 10, 10, 10, 10/), &
+                  'map_pcld_ThCi', 'cloud pressure of high ThCi clouds', 'hPa', &
+                  (/ "inst(X)", "inst(X)", "inst(X)", "inst(X)", "inst(X)", "inst(X)", &
+                          "inst(X)", "inst(X)", "inst(X)", "inst(X)" /))
 
   TYPE(ctrl_out), SAVE :: o_map_tcld_ThCi = &
-  ctrl_out((/10,10,1,10,10,10,10,10,10,10/),&
-  'map_tcld_ThCi','cloud temperature of high ThCi clouds','K',&
-   (/ "inst(X)", "inst(X)", "inst(X)", "inst(X)", "inst(X)", "inst(X)",&
-      "inst(X)", "inst(X)", "inst(X)", "inst(X)" /))
-
-   TYPE(ctrl_out), SAVE :: o_map_ntot = &
-  ctrl_out((/1,1,1,1,1,10,10,10,10,10/),&
-  'map_ntot','total AIRS cloud fraction',' ',&
-   (/ "inst(X)", "inst(X)", "inst(X)", "inst(X)", "inst(X)", "inst(X)",&
-      "inst(X)", "inst(X)", "inst(X)", "inst(X)" /))
+          ctrl_out((/10, 10, 1, 10, 10, 10, 10, 10, 10, 10/), &
+                  'map_tcld_ThCi', 'cloud temperature of high ThCi clouds', 'K', &
+                  (/ "inst(X)", "inst(X)", "inst(X)", "inst(X)", "inst(X)", "inst(X)", &
+                          "inst(X)", "inst(X)", "inst(X)", "inst(X)" /))
+
+  TYPE(ctrl_out), SAVE :: o_map_ntot = &
+          ctrl_out((/1, 1, 1, 1, 1, 10, 10, 10, 10, 10/), &
+                  'map_ntot', 'total AIRS cloud fraction', ' ', &
+                  (/ "inst(X)", "inst(X)", "inst(X)", "inst(X)", "inst(X)", "inst(X)", &
+                          "inst(X)", "inst(X)", "inst(X)", "inst(X)" /))
 
   TYPE(ctrl_out), SAVE :: o_map_hc = &
-  ctrl_out((/1,1,1,1,1,10,10,10,10,10/),&
-  'map_hc','high clouds AIRS cloud fraction',' ',&
-   (/ "inst(X)", "inst(X)", "inst(X)", "inst(X)", "inst(X)", "inst(X)",&
-      "inst(X)", "inst(X)", "inst(X)", "inst(X)" /))
+          ctrl_out((/1, 1, 1, 1, 1, 10, 10, 10, 10, 10/), &
+                  'map_hc', 'high clouds AIRS cloud fraction', ' ', &
+                  (/ "inst(X)", "inst(X)", "inst(X)", "inst(X)", "inst(X)", "inst(X)", &
+                          "inst(X)", "inst(X)", "inst(X)", "inst(X)" /))
 
   TYPE(ctrl_out), SAVE :: o_map_hist = &
-  ctrl_out((/1,1,1,1,1,10,10,10,10,10/),&
-  'map_hist','high clouds ice st AIRS cloud fraction',' ',&
-   (/ "inst(X)", "inst(X)", "inst(X)", "inst(X)", "inst(X)", "inst(X)",&
-      "inst(X)", "inst(X)", "inst(X)", "inst(X)" /))
+          ctrl_out((/1, 1, 1, 1, 1, 10, 10, 10, 10, 10/), &
+                  'map_hist', 'high clouds ice st AIRS cloud fraction', ' ', &
+                  (/ "inst(X)", "inst(X)", "inst(X)", "inst(X)", "inst(X)", "inst(X)", &
+                          "inst(X)", "inst(X)", "inst(X)", "inst(X)" /))
 
   TYPE(ctrl_out), SAVE :: o_map_Cb = &
-  ctrl_out((/1,1,1,1,1,10,10,10,10,10/),&
-  'map_Cb','high clouds Cb AIRS cloud fraction',' ',&
-   (/ "inst(X)", "inst(X)", "inst(X)", "inst(X)", "inst(X)", "inst(X)",&
-      "inst(X)", "inst(X)", "inst(X)", "inst(X)" /))
-
- TYPE(ctrl_out), SAVE :: o_map_ThCi = &
-  ctrl_out((/1,1,1,1,1,10,10,10,10,10/),&
-  'map_ThCi','high clouds ThCi AIRS cloud fraction',' ',&
-   (/ "inst(X)", "inst(X)", "inst(X)", "inst(X)", "inst(X)", "inst(X)",&
-      "inst(X)", "inst(X)", "inst(X)", "inst(X)" /))
-
- TYPE(ctrl_out), SAVE :: o_map_Anv = &
-  ctrl_out((/1,1,1,1,1,10,10,10,10,10/),&
-  'map_Anv','high clouds Anv AIRS cloud fraction',' ',&
-   (/ "inst(X)", "inst(X)", "inst(X)", "inst(X)", "inst(X)", "inst(X)",&
-      "inst(X)", "inst(X)", "inst(X)", "inst(X)" /))
-
-! Fin Marine
+          ctrl_out((/1, 1, 1, 1, 1, 10, 10, 10, 10, 10/), &
+                  'map_Cb', 'high clouds Cb AIRS cloud fraction', ' ', &
+                  (/ "inst(X)", "inst(X)", "inst(X)", "inst(X)", "inst(X)", "inst(X)", &
+                          "inst(X)", "inst(X)", "inst(X)", "inst(X)" /))
+
+  TYPE(ctrl_out), SAVE :: o_map_ThCi = &
+          ctrl_out((/1, 1, 1, 1, 1, 10, 10, 10, 10, 10/), &
+                  'map_ThCi', 'high clouds ThCi AIRS cloud fraction', ' ', &
+                  (/ "inst(X)", "inst(X)", "inst(X)", "inst(X)", "inst(X)", "inst(X)", &
+                          "inst(X)", "inst(X)", "inst(X)", "inst(X)" /))
+
+  TYPE(ctrl_out), SAVE :: o_map_Anv = &
+          ctrl_out((/1, 1, 1, 1, 1, 10, 10, 10, 10, 10/), &
+                  'map_Anv', 'high clouds Anv AIRS cloud fraction', ' ', &
+                  (/ "inst(X)", "inst(X)", "inst(X)", "inst(X)", "inst(X)", "inst(X)", &
+                          "inst(X)", "inst(X)", "inst(X)", "inst(X)" /))
+
+  ! Fin Marine
 
   TYPE(ctrl_out), SAVE :: o_flat = ctrl_out((/ 5, 1, 10, 10, 5, 10, 11, 11, 11, 11/), &
-    'flat', 'Latent heat flux', 'W/m2', (/ ('', i=1, 10) /))
+          'flat', 'Latent heat flux', 'W/m2', (/ ('', i = 1, 10) /))
   TYPE(ctrl_out), SAVE :: o_ptstar = ctrl_out((/ 1, 1, 1, 10, 10, 10, 11, 11, 11, 11/), &
-    'ptstar', 'Air Surface Temperature', 'K', (/ ('', i=1, 10) /))
+          'ptstar', 'Air Surface Temperature', 'K', (/ ('', i = 1, 10) /))
   TYPE(ctrl_out), SAVE :: o_pt0 = ctrl_out((/ 1, 1, 1, 10, 10, 10, 11, 11, 11, 11/), &
-    'pt0', 'Standard Air Surface Temperature', 'K', (/ ('', i=1, 10) /))
+          'pt0', 'Standard Air Surface Temperature', 'K', (/ ('', i = 1, 10) /))
   TYPE(ctrl_out), SAVE :: o_slp = ctrl_out((/ 1, 1, 1, 10, 10, 10, 11, 11, 11, 11/), &
-    'slp', 'Sea Level Pressure', 'Pa', (/ ('', i=1, 10) /))
+          'slp', 'Sea Level Pressure', 'Pa', (/ ('', i = 1, 10) /))
   TYPE(ctrl_out), SAVE :: o_tsol = ctrl_out((/ 1, 1, 1, 5, 10, 10, 11, 11, 11, 11/), &
-    'tsol', 'Surface Temperature', 'K', (/ ('', i=1, 10) /))
+          'tsol', 'Surface Temperature', 'K', (/ ('', i = 1, 10) /))
   TYPE(ctrl_out), SAVE :: o_t2m = ctrl_out((/ 1, 1, 1, 5, 10, 10, 11, 11, 11, 11/), &
-    't2m', 'Temperature 2m', 'K', (/ ('', i=1, 10) /))
+          't2m', 'Temperature 2m', 'K', (/ ('', i = 1, 10) /))
   TYPE(ctrl_out), SAVE :: o_t2m_min = ctrl_out((/ 20, 1, 10, 10, 10, 10, 11, 11, 11, 11/), &
-    't2m_min', 'Temp 2m min', 'K', &
-      (/ "t_min(X)", "t_min(X)", "t_min(X)", "t_min(X)", "t_min(X)", & 
-         "t_min(X)", "t_min(X)", "t_min(X)", "t_min(X)", "t_min(X)" /))
+          't2m_min', 'Temp 2m min', 'K', &
+          (/ "t_min(X)", "t_min(X)", "t_min(X)", "t_min(X)", "t_min(X)", &
+                  "t_min(X)", "t_min(X)", "t_min(X)", "t_min(X)", "t_min(X)" /))
   TYPE(ctrl_out), SAVE :: o_t2m_max = ctrl_out((/ 20, 1, 10, 10, 10, 10, 11, 11, 11, 11/), &
-    't2m_max', 'Temp 2m max', 'K', &
-      (/ "t_max(X)", "t_max(X)", "t_max(X)", "t_max(X)", "t_max(X)", &
-         "t_max(X)", "t_max(X)", "t_max(X)", "t_max(X)", "t_max(X)" /))
+          't2m_max', 'Temp 2m max', 'K', &
+          (/ "t_max(X)", "t_max(X)", "t_max(X)", "t_max(X)", "t_max(X)", &
+                  "t_max(X)", "t_max(X)", "t_max(X)", "t_max(X)", "t_max(X)" /))
 
   TYPE(ctrl_out), SAVE :: o_t2m_min_mon = ctrl_out((/ 1, 20, 20, 20, 20, 20, 20, 20, 20, 20 /), &
-    't2m_min_mon', 'Monthly average min 2m temperature', 'K', &
-      (/ "inst(X)", "inst(X)", "inst(X)", "inst(X)", "inst(X)", & 
-         "inst(X)", "inst(X)", "inst(X)", "inst(X)", "inst(X)" /))
+          't2m_min_mon', 'Monthly average min 2m temperature', 'K', &
+          (/ "inst(X)", "inst(X)", "inst(X)", "inst(X)", "inst(X)", &
+                  "inst(X)", "inst(X)", "inst(X)", "inst(X)", "inst(X)" /))
   TYPE(ctrl_out), SAVE :: o_t2m_max_mon = ctrl_out((/ 1, 20, 20, 20, 20, 20, 20, 20, 20, 20 /), &
-    't2m_max_mon', 'Monthly average max 2m temperature', 'K', &
-      (/ "inst(X)", "inst(X)", "inst(X)", "inst(X)", "inst(X)", &
-         "inst(X)", "inst(X)", "inst(X)", "inst(X)", "inst(X)" /))
+          't2m_max_mon', 'Monthly average max 2m temperature', 'K', &
+          (/ "inst(X)", "inst(X)", "inst(X)", "inst(X)", "inst(X)", &
+                  "inst(X)", "inst(X)", "inst(X)", "inst(X)", "inst(X)" /))
 
   TYPE(ctrl_out), SAVE, DIMENSION(4) :: o_t2m_srf = (/ &
-      ctrl_out((/ 10, 6, 10, 10, 10, 10, 11, 11, 11, 11/), &
-    't2m_ter', "Temp 2m "//clnsurf(1), "K", (/ ('', i=1, 10) /)), &
-      ctrl_out((/ 10, 6, 10, 10, 10, 10, 11, 11, 11, 11/), &
-    't2m_lic', "Temp 2m "//clnsurf(2), "K", (/ ('', i=1, 10) /)), &
-      ctrl_out((/ 10, 6, 10, 10, 10, 10, 11, 11, 11, 11/), &
-    't2m_oce', "Temp 2m "//clnsurf(3), "K", (/ ('', i=1, 10) /)), &
-      ctrl_out((/ 10, 6, 10, 10, 10, 10, 11, 11, 11, 11/), &
-    't2m_sic', "Temp 2m "//clnsurf(4), "K", (/ ('', i=1, 10) /)) /)
+          ctrl_out((/ 10, 6, 10, 10, 10, 10, 11, 11, 11, 11/), &
+                  't2m_ter', "Temp 2m " // clnsurf(1), "K", (/ ('', i = 1, 10) /)), &
+                  ctrl_out((/ 10, 6, 10, 10, 10, 10, 11, 11, 11, 11/), &
+                          't2m_lic', "Temp 2m " // clnsurf(2), "K", (/ ('', i = 1, 10) /)), &
+                  ctrl_out((/ 10, 6, 10, 10, 10, 10, 11, 11, 11, 11/), &
+                          't2m_oce', "Temp 2m " // clnsurf(3), "K", (/ ('', i = 1, 10) /)), &
+                  ctrl_out((/ 10, 6, 10, 10, 10, 10, 11, 11, 11, 11/), &
+                          't2m_sic', "Temp 2m " // clnsurf(4), "K", (/ ('', i = 1, 10) /)) /)
 
   TYPE(ctrl_out), SAVE :: o_nt2mout = ctrl_out((/ 1, 1, 1, 5, 10, 10, 11, 11, 11, 11/), &
-    'nt2mout', 'Nbt2m out of range complete computation', '-', (/ ('', i=1, 10) /))
+          'nt2mout', 'Nbt2m out of range complete computation', '-', (/ ('', i = 1, 10) /))
   TYPE(ctrl_out), SAVE :: o_nq2mout = ctrl_out((/ 1, 1, 1, 5, 10, 10, 11, 11, 11, 11/), &
-    'nq2mout', 'Nbq2m out of range complete computation', '-', (/ ('', i=1, 10) /))
+          'nq2mout', 'Nbq2m out of range complete computation', '-', (/ ('', i = 1, 10) /))
   TYPE(ctrl_out), SAVE :: o_nu2mout = ctrl_out((/ 1, 1, 1, 5, 10, 10, 11, 11, 11, 11/), &
-    'nu2mout', 'Nbu2m out of range complete computation', '-', (/ ('', i=1, 10) /))
+          'nu2mout', 'Nbu2m out of range complete computation', '-', (/ ('', i = 1, 10) /))
 
   TYPE(ctrl_out), SAVE :: o_nt2moutfg = ctrl_out((/ 1, 1, 1, 5, 10, 10, 11, 11, 11, 11/), &
-    'nt2moutfg', 'Nbt2m out of range complete/fgRi1 computation', '-', (/ ('', i=1, 10) /))
+          'nt2moutfg', 'Nbt2m out of range complete/fgRi1 computation', '-', (/ ('', i = 1, 10) /))
   TYPE(ctrl_out), SAVE :: o_nq2moutfg = ctrl_out((/ 1, 1, 1, 5, 10, 10, 11, 11, 11, 11/), &
-    'nq2moutfg', 'Nbq2m out of range complete/fgRi1 computation', '-', (/ ('', i=1, 10) /))
+          'nq2moutfg', 'Nbq2m out of range complete/fgRi1 computation', '-', (/ ('', i = 1, 10) /))
   TYPE(ctrl_out), SAVE :: o_nu2moutfg = ctrl_out((/ 1, 1, 1, 5, 10, 10, 11, 11, 11, 11/), &
-    'nu2moutfg', 'Nbu2m out of range complete/fgRi1 computation', '-', (/ ('', i=1, 10) /))
+          'nu2moutfg', 'Nbu2m out of range complete/fgRi1 computation', '-', (/ ('', i = 1, 10) /))
 
   TYPE(ctrl_out), SAVE :: o_gusts = ctrl_out((/ 1, 1, 1, 10, 10, 10, 11, 11, 11, 11/), &
-    'gusts', 'surface gustiness', 'm2/s2', (/ ('', i=1, 10) /))
+          'gusts', 'surface gustiness', 'm2/s2', (/ ('', i = 1, 10) /))
 
   TYPE(ctrl_out), SAVE :: o_wind10m = ctrl_out((/ 1, 1, 1, 10, 10, 10, 11, 11, 11, 11/), &
-    'wind10m', '10-m wind speed', 'm/s', (/ ('', i=1, 10) /))
+          'wind10m', '10-m wind speed', 'm/s', (/ ('', i = 1, 10) /))
   TYPE(ctrl_out), SAVE :: o_wind100m = ctrl_out((/ 1, 10, 10, 10, 10, 10, 11, 11, 11, 11/), &
-    'wind100m', '100-m wind speed', 'm/s', (/ ('', i=1, 10) /))
+          'wind100m', '100-m wind speed', 'm/s', (/ ('', i = 1, 10) /))
   TYPE(ctrl_out), SAVE :: o_loadfactor_wind_onshore = ctrl_out((/ 1, 10, 10, 10, 10, 10, 11, 11, 11, 11/), &
-    'woncfr', 'Onshore Wind Capacity factor', 'kW/kW_installed', (/ ('', i=1, 10) /))
+          'woncfr', 'Onshore Wind Capacity factor', 'kW/kW_installed', (/ ('', i = 1, 10) /))
   TYPE(ctrl_out), SAVE :: o_loadfactor_wind_offshore = ctrl_out((/ 1, 10, 10, 10, 10, 10, 11, 11, 11, 11/), &
-    'wofcfr', 'Offshore Wind Capacity factor', 'kW/kW_installed', (/ ('', i=1, 10) /))
+          'wofcfr', 'Offshore Wind Capacity factor', 'kW/kW_installed', (/ ('', i = 1, 10) /))
   TYPE(ctrl_out), SAVE :: o_wind10max = ctrl_out((/ 10, 1, 10, 10, 10, 10, 11, 11, 11, 11/), &
-    'wind10max', '10m wind speed max', 'm/s', &
-    (/ "t_max(X)", "t_max(X)", "t_max(X)", "t_max(X)", "t_max(X)", & 
-       "t_max(X)", "t_max(X)", "t_max(X)", "t_max(X)", "t_max(X)" /))
+          'wind10max', '10m wind speed max', 'm/s', &
+          (/ "t_max(X)", "t_max(X)", "t_max(X)", "t_max(X)", "t_max(X)", &
+                  "t_max(X)", "t_max(X)", "t_max(X)", "t_max(X)", "t_max(X)" /))
 
   TYPE(ctrl_out), SAVE :: o_sicf = ctrl_out((/ 1, 1, 10, 10, 10, 10, 11, 11, 11, 11/), &
-    'sicf', 'Sea-ice fraction', '-', (/ ('', i=1, 10) /))
+          'sicf', 'Sea-ice fraction', '-', (/ ('', i = 1, 10) /))
   TYPE(ctrl_out), SAVE :: o_q2m = ctrl_out((/ 1, 1, 1, 5, 10, 10, 11, 11, 11, 11/), &
-    'q2m', 'Specific humidity 2m', 'kg/kg', (/ ('', i=1, 10) /))
+          'q2m', 'Specific humidity 2m', 'kg/kg', (/ ('', i = 1, 10) /))
   TYPE(ctrl_out), SAVE :: o_ustar = ctrl_out((/ 1, 1, 10, 5, 10, 10, 11, 11, 11, 11/), &
-    'ustar', 'Friction velocity', 'm/s', (/ ('', i=1, 10) /))
+          'ustar', 'Friction velocity', 'm/s', (/ ('', i = 1, 10) /))
   TYPE(ctrl_out), SAVE :: o_u10m = ctrl_out((/ 1, 1, 1, 5, 10, 10, 11, 11, 11, 11/), &
-    'u10m', 'Vent zonal 10m', 'm/s', (/ ('', i=1, 10) /))
+          'u10m', 'Vent zonal 10m', 'm/s', (/ ('', i = 1, 10) /))
   TYPE(ctrl_out), SAVE :: o_v10m = ctrl_out((/ 1, 1, 1, 5, 10, 10, 11, 11, 11, 11/), &
-    'v10m', 'Vent meridien 10m', 'm/s', (/ ('', i=1, 10) /))
+          'v10m', 'Vent meridien 10m', 'm/s', (/ ('', i = 1, 10) /))
   TYPE(ctrl_out), SAVE :: o_psol = ctrl_out((/ 1, 1, 1, 5, 10, 10, 11, 11, 11, 11/), &
-    'psol', 'Surface Pressure', 'Pa', (/ ('', i=1, 10) /))
+          'psol', 'Surface Pressure', 'Pa', (/ ('', i = 1, 10) /))
   TYPE(ctrl_out), SAVE :: o_qsurf = ctrl_out((/ 1, 10, 10, 10, 10, 10, 11, 11, 11, 11/), &
-    'qsurf', 'Surface Air humidity', 'kg/kg', (/ ('', i=1, 10) /))
-
-  TYPE(ctrl_out), SAVE, DIMENSION(4) :: o_ustar_srf     = (/ &
-      ctrl_out((/ 10, 6, 10, 10, 10, 10, 11, 11, 11, 11/),'ustar_ter', &
-      "Friction velocity "//clnsurf(1),"m/s", (/ ('', i=1, 10) /)), &
-      ctrl_out((/ 10, 6, 10, 10, 10, 10, 11, 11, 11, 11/),'ustar_lic', &
-      "Friction velocity "//clnsurf(2),"m/s", (/ ('', i=1, 10) /)), &
-      ctrl_out((/ 10, 6, 10, 10, 10, 10, 11, 11, 11, 11/),'ustar_oce', &
-      "Friction velocity "//clnsurf(3),"m/s", (/ ('', i=1, 10) /)), &
-      ctrl_out((/ 10, 6, 10, 10, 10, 10, 11, 11, 11, 11/),'ustar_sic', &
-      "Friction velocity "//clnsurf(4),"m/s", (/ ('', i=1, 10) /)) /)
-
-  TYPE(ctrl_out), SAVE, DIMENSION(5) :: o_wstar         = (/ &
-      ctrl_out((/ 10, 6, 10, 10, 10, 10, 11, 11, 11, 11/),'wstar_ter', &
-      "Friction velocity "//clnsurf(1),"m/s", (/ ('', i=1, 10) /)), &
-      ctrl_out((/ 10, 6, 10, 10, 10, 10, 11, 11, 11, 11/),'wstar_lic', &
-      "Friction velocity "//clnsurf(2),"m/s", (/ ('', i=1, 10) /)), &
-      ctrl_out((/ 10, 6, 10, 10, 10, 10, 11, 11, 11, 11/),'wstar_oce', &
-      "Friction velocity "//clnsurf(3),"m/s", (/ ('', i=1, 10) /)), &
-      ctrl_out((/ 10, 6, 10, 10, 10, 10, 11, 11, 11, 11/),'wstar_sic', &
-      "Friction velocity "//clnsurf(4),"m/s", (/ ('', i=1, 10) /)), &
-      ctrl_out((/ 5, 5, 10, 10, 10, 10, 11, 11, 11, 11/),'wstar', &
-      "w* convective velocity "//clnsurf(4),"m/s", (/ ('', i=1, 10) /)) /)
-
-  TYPE(ctrl_out), SAVE, DIMENSION(4) :: o_u10m_srf     = (/ &
-      ctrl_out((/ 10, 6, 10, 10, 10, 10, 11, 11, 11, 11/),'u10m_ter', &
-      "Vent Zonal 10m "//clnsurf(1),"m/s", (/ ('', i=1, 10) /)), &
-      ctrl_out((/ 10, 6, 10, 10, 10, 10, 11, 11, 11, 11/),'u10m_lic', &
-      "Vent Zonal 10m "//clnsurf(2),"m/s", (/ ('', i=1, 10) /)), &
-      ctrl_out((/ 10, 6, 10, 10, 10, 10, 11, 11, 11, 11/),'u10m_oce', &
-      "Vent Zonal 10m "//clnsurf(3),"m/s", (/ ('', i=1, 10) /)), &
-      ctrl_out((/ 10, 6, 10, 10, 10, 10, 11, 11, 11, 11/),'u10m_sic', &
-      "Vent Zonal 10m "//clnsurf(4),"m/s", (/ ('', i=1, 10) /)) /)
-
-  TYPE(ctrl_out), SAVE, DIMENSION(4) :: o_v10m_srf     = (/ &
-      ctrl_out((/ 10, 6, 10, 10, 10, 10, 11, 11, 11, 11/),'v10m_ter', &
-      "Vent meredien 10m "//clnsurf(1),"m/s", (/ ('', i=1, 10) /)), &
-      ctrl_out((/ 10, 6, 10, 10, 10, 10, 11, 11, 11, 11/),'v10m_lic', &
-      "Vent meredien 10m "//clnsurf(2),"m/s", (/ ('', i=1, 10) /)), &
-      ctrl_out((/ 10, 6, 10, 10, 10, 10, 11, 11, 11, 11/),'v10m_oce', &
-      "Vent meredien 10m "//clnsurf(3),"m/s", (/ ('', i=1, 10) /)), &
-      ctrl_out((/ 10, 6, 10, 10, 10, 10, 11, 11, 11, 11/),'v10m_sic', &
-      "Vent meredien 10m "//clnsurf(4),"m/s", (/ ('', i=1, 10) /)) /)
+          'qsurf', 'Surface Air humidity', 'kg/kg', (/ ('', i = 1, 10) /))
+
+  TYPE(ctrl_out), SAVE, DIMENSION(4) :: o_ustar_srf = (/ &
+          ctrl_out((/ 10, 6, 10, 10, 10, 10, 11, 11, 11, 11/), 'ustar_ter', &
+                  "Friction velocity " // clnsurf(1), "m/s", (/ ('', i = 1, 10) /)), &
+                  ctrl_out((/ 10, 6, 10, 10, 10, 10, 11, 11, 11, 11/), 'ustar_lic', &
+                          "Friction velocity " // clnsurf(2), "m/s", (/ ('', i = 1, 10) /)), &
+                  ctrl_out((/ 10, 6, 10, 10, 10, 10, 11, 11, 11, 11/), 'ustar_oce', &
+                          "Friction velocity " // clnsurf(3), "m/s", (/ ('', i = 1, 10) /)), &
+                  ctrl_out((/ 10, 6, 10, 10, 10, 10, 11, 11, 11, 11/), 'ustar_sic', &
+                          "Friction velocity " // clnsurf(4), "m/s", (/ ('', i = 1, 10) /)) /)
+
+  TYPE(ctrl_out), SAVE, DIMENSION(5) :: o_wstar = (/ &
+          ctrl_out((/ 10, 6, 10, 10, 10, 10, 11, 11, 11, 11/), 'wstar_ter', &
+                  "Friction velocity " // clnsurf(1), "m/s", (/ ('', i = 1, 10) /)), &
+                  ctrl_out((/ 10, 6, 10, 10, 10, 10, 11, 11, 11, 11/), 'wstar_lic', &
+                          "Friction velocity " // clnsurf(2), "m/s", (/ ('', i = 1, 10) /)), &
+                  ctrl_out((/ 10, 6, 10, 10, 10, 10, 11, 11, 11, 11/), 'wstar_oce', &
+                          "Friction velocity " // clnsurf(3), "m/s", (/ ('', i = 1, 10) /)), &
+                  ctrl_out((/ 10, 6, 10, 10, 10, 10, 11, 11, 11, 11/), 'wstar_sic', &
+                          "Friction velocity " // clnsurf(4), "m/s", (/ ('', i = 1, 10) /)), &
+                  ctrl_out((/ 5, 5, 10, 10, 10, 10, 11, 11, 11, 11/), 'wstar', &
+                          "w* convective velocity " // clnsurf(4), "m/s", (/ ('', i = 1, 10) /)) /)
+
+  TYPE(ctrl_out), SAVE, DIMENSION(4) :: o_u10m_srf = (/ &
+          ctrl_out((/ 10, 6, 10, 10, 10, 10, 11, 11, 11, 11/), 'u10m_ter', &
+                  "Vent Zonal 10m " // clnsurf(1), "m/s", (/ ('', i = 1, 10) /)), &
+                  ctrl_out((/ 10, 6, 10, 10, 10, 10, 11, 11, 11, 11/), 'u10m_lic', &
+                          "Vent Zonal 10m " // clnsurf(2), "m/s", (/ ('', i = 1, 10) /)), &
+                  ctrl_out((/ 10, 6, 10, 10, 10, 10, 11, 11, 11, 11/), 'u10m_oce', &
+                          "Vent Zonal 10m " // clnsurf(3), "m/s", (/ ('', i = 1, 10) /)), &
+                  ctrl_out((/ 10, 6, 10, 10, 10, 10, 11, 11, 11, 11/), 'u10m_sic', &
+                          "Vent Zonal 10m " // clnsurf(4), "m/s", (/ ('', i = 1, 10) /)) /)
+
+  TYPE(ctrl_out), SAVE, DIMENSION(4) :: o_v10m_srf = (/ &
+          ctrl_out((/ 10, 6, 10, 10, 10, 10, 11, 11, 11, 11/), 'v10m_ter', &
+                  "Vent meredien 10m " // clnsurf(1), "m/s", (/ ('', i = 1, 10) /)), &
+                  ctrl_out((/ 10, 6, 10, 10, 10, 10, 11, 11, 11, 11/), 'v10m_lic', &
+                          "Vent meredien 10m " // clnsurf(2), "m/s", (/ ('', i = 1, 10) /)), &
+                  ctrl_out((/ 10, 6, 10, 10, 10, 10, 11, 11, 11, 11/), 'v10m_oce', &
+                          "Vent meredien 10m " // clnsurf(3), "m/s", (/ ('', i = 1, 10) /)), &
+                  ctrl_out((/ 10, 6, 10, 10, 10, 10, 11, 11, 11, 11/), 'v10m_sic', &
+                          "Vent meredien 10m " // clnsurf(4), "m/s", (/ ('', i = 1, 10) /)) /)
 
   TYPE(ctrl_out), SAVE :: o_qsol = ctrl_out((/ 1, 10, 10, 10, 10, 10, 11, 11, 11, 11/), &
-    'qsol', 'Soil watter content', 'mm', (/ ('', i=1, 10) /))
+          'qsol', 'Soil watter content', 'mm', (/ ('', i = 1, 10) /))
   TYPE(ctrl_out), SAVE :: o_ndayrain = ctrl_out((/ 1, 10, 10, 10, 10, 10, 11, 11, 11, 11/), &
-    'ndayrain', 'Number of dayrain(liq+sol)', '-', &
-      (/ "inst(X)", "inst(X)", "inst(X)", "inst(X)", "inst(X)", "inst(X)", "inst(X)", "inst(X)", "inst(X)", "inst(X)" /))
+          'ndayrain', 'Number of dayrain(liq+sol)', '-', &
+          (/ "inst(X)", "inst(X)", "inst(X)", "inst(X)", "inst(X)", "inst(X)", "inst(X)", "inst(X)", "inst(X)", "inst(X)" /))
   TYPE(ctrl_out), SAVE :: o_rain_fall = ctrl_out((/ 1, 1, 1, 10, 5, 10, 11, 11, 11, 11/), &
-    'rain_fall', 'Precip Totale liq', 'kg/(s*m2)', (/ ('', i=1, 10) /))
+          'rain_fall', 'Precip Totale liq', 'kg/(s*m2)', (/ ('', i = 1, 10) /))
   TYPE(ctrl_out), SAVE :: o_rain_con = ctrl_out((/ 7, 7, 7, 10, 7, 10, 11, 11, 11, 11/), &
-    'rain_con', 'Precip liq conv.', 'kg/(s*m2)', (/ ('', i=1, 10) /))
+          'rain_con', 'Precip liq conv.', 'kg/(s*m2)', (/ ('', i = 1, 10) /))
   TYPE(ctrl_out), SAVE :: o_precip = ctrl_out((/ 1, 1, 1, 10, 5, 10, 11, 11, 11, 11/), &
-    'precip', 'Precip Totale liq+sol', 'kg/(s*m2)', (/ ('', i=1, 10) /))
+          'precip', 'Precip Totale liq+sol', 'kg/(s*m2)', (/ ('', i = 1, 10) /))
   TYPE(ctrl_out), SAVE :: o_plul = ctrl_out((/ 1, 1, 1, 10, 10, 10, 11, 11, 11, 11/), &
-    'plul', 'Large-scale Precip.', 'kg/(s*m2)', (/ ('', i=1, 10) /))
+          'plul', 'Large-scale Precip.', 'kg/(s*m2)', (/ ('', i = 1, 10) /))
   TYPE(ctrl_out), SAVE :: o_plun = ctrl_out((/ 1, 1, 1, 10, 10, 10, 11, 11, 11, 11/), &
-    'plun', 'Numerical Precip.', 'kg/(s*m2)', (/ ('', i=1, 10) /))
+          'plun', 'Numerical Precip.', 'kg/(s*m2)', (/ ('', i = 1, 10) /))
   TYPE(ctrl_out), SAVE :: o_pluc = ctrl_out((/ 1, 1, 1, 10, 5, 10, 11, 11, 11, 11/), &
-    'pluc', 'Convective Precip.', 'kg/(s*m2)', (/ ('', i=1, 10) /))
+          'pluc', 'Convective Precip.', 'kg/(s*m2)', (/ ('', i = 1, 10) /))
   TYPE(ctrl_out), SAVE :: o_snow = ctrl_out((/ 1, 1, 10, 10, 5, 10, 11, 11, 11, 11/), &
-    'snow', 'Snow fall', 'kg/(s*m2)', (/ ('', i=1, 10) /))
+          'snow', 'Snow fall', 'kg/(s*m2)', (/ ('', i = 1, 10) /))
   TYPE(ctrl_out), SAVE :: o_bsfall = ctrl_out((/ 10, 10, 10, 10, 5, 10, 11, 11, 11, 11/), &
-    'bsfall', 'Blowing Snow fall', 'kg/(s*m2)', (/ ('', i=1, 10) /))
+          'bsfall', 'Blowing Snow fall', 'kg/(s*m2)', (/ ('', i = 1, 10) /))
   TYPE(ctrl_out), SAVE :: o_evap = ctrl_out((/ 1, 1, 10, 10, 10, 10, 11, 11, 11, 11/), &
-    'evap', 'Evaporat', 'kg/(s*m2)', (/ ('', i=1, 10) /))
+          'evap', 'Evaporat', 'kg/(s*m2)', (/ ('', i = 1, 10) /))
   TYPE(ctrl_out), SAVE :: o_snowerosion = ctrl_out((/ 10, 10, 10, 10, 10, 10, 11, 11, 11, 11/), &
-   'snowerosion', 'blowing snow flux', 'kg/(s*m2)', (/ ('', i=1, 10) /))
-  TYPE(ctrl_out), SAVE :: o_ustart_lic = ctrl_out((/ 11, 11, 11, 11, 11, 11, 11, 11, 11, 11/), & 
-    'ustart_lic', 'threshold velocity', 'm/s', (/ ('', i=1, 10) /))
+          'snowerosion', 'blowing snow flux', 'kg/(s*m2)', (/ ('', i = 1, 10) /))
+  TYPE(ctrl_out), SAVE :: o_ustart_lic = ctrl_out((/ 11, 11, 11, 11, 11, 11, 11, 11, 11, 11/), &
+          'ustart_lic', 'threshold velocity', 'm/s', (/ ('', i = 1, 10) /))
   TYPE(ctrl_out), SAVE :: o_rhosnow_lic = ctrl_out((/ 11, 11, 11, 11, 11, 11, 11, 11, 11, 11/), &
-    'rhosnow_lic', 'snow density lic', 'kg/m3', (/ ('', i=1, 10) /))
+          'rhosnow_lic', 'snow density lic', 'kg/m3', (/ ('', i = 1, 10) /))
   TYPE(ctrl_out), SAVE :: o_qsalt_lic = ctrl_out((/ 11, 11, 11, 11, 11, 11, 11, 11, 11, 11/), &
-    'qsalt_lic', 'qb in saltation layer lic', 'kg/kg', (/ ('', i=1, 10) /))
+          'qsalt_lic', 'qb in saltation layer lic', 'kg/kg', (/ ('', i = 1, 10) /))
   TYPE(ctrl_out), SAVE :: o_sens_prec_liq_oce = ctrl_out((/ 5, 5, 10, 10, 5, 10, 11, 11, 11, 11/), &
-    'sens_rain_oce', 'Sensible heat flux of liquid prec. over ocean', 'W/m2', (/ ('', i=1, 10) /))
+          'sens_rain_oce', 'Sensible heat flux of liquid prec. over ocean', 'W/m2', (/ ('', i = 1, 10) /))
   TYPE(ctrl_out), SAVE :: o_sens_prec_liq_sic = ctrl_out((/ 5, 5, 10, 10, 5, 10, 11, 11, 11, 11/), &
-    'sens_rain_sic', 'Sensible heat flux of liquid prec. over seaice', 'W/m2', (/ ('', i=1, 10) /))
+          'sens_rain_sic', 'Sensible heat flux of liquid prec. over seaice', 'W/m2', (/ ('', i = 1, 10) /))
   TYPE(ctrl_out), SAVE :: o_sens_prec_sol_oce = ctrl_out((/ 5, 5, 10, 10, 5, 10, 11, 11, 11, 11/), &
-    'sens_snow_oce', 'Sensible heat flux of solid prec. over ocean', 'W/m2', (/ ('', i=1, 10) /))
+          'sens_snow_oce', 'Sensible heat flux of solid prec. over ocean', 'W/m2', (/ ('', i = 1, 10) /))
   TYPE(ctrl_out), SAVE :: o_sens_prec_sol_sic = ctrl_out((/ 5, 5, 10, 10, 5, 10, 11, 11, 11, 11/), &
-    'sens_snow_sic', 'Sensible heat flux of solid prec. over seaice', 'W/m2', (/ ('', i=1, 10) /))
+          'sens_snow_sic', 'Sensible heat flux of solid prec. over seaice', 'W/m2', (/ ('', i = 1, 10) /))
   TYPE(ctrl_out), SAVE :: o_lat_prec_liq_oce = ctrl_out((/ 5, 5, 10, 10, 5, 10, 11, 11, 11, 11/), &
-    'lat_rain_oce', 'Latent heat flux of liquid prec. over ocean', 'W/m2', (/ ('', i=1, 10) /))
+          'lat_rain_oce', 'Latent heat flux of liquid prec. over ocean', 'W/m2', (/ ('', i = 1, 10) /))
   TYPE(ctrl_out), SAVE :: o_lat_prec_liq_sic = ctrl_out((/ 5, 5, 10, 10, 5, 10, 11, 11, 11, 11/), &
-    'lat_rain_sic', 'Latent heat flux of liquid prec. over seaice', 'W/m2', (/ ('', i=1, 10) /))
+          'lat_rain_sic', 'Latent heat flux of liquid prec. over seaice', 'W/m2', (/ ('', i = 1, 10) /))
   TYPE(ctrl_out), SAVE :: o_lat_prec_sol_oce = ctrl_out((/ 5, 5, 10, 10, 5, 10, 11, 11, 11, 11/), &
-    'lat_snow_oce', 'Latent heat flux of solid prec. over ocean', 'W/m2', (/ ('', i=1, 10) /))
+          'lat_snow_oce', 'Latent heat flux of solid prec. over ocean', 'W/m2', (/ ('', i = 1, 10) /))
   TYPE(ctrl_out), SAVE :: o_lat_prec_sol_sic = ctrl_out((/ 5, 5, 10, 10, 5, 10, 11, 11, 11, 11/), &
-    'lat_snow_sic', 'Latent heat flux of solid prec. over seaice', 'W/m2', (/ ('', i=1, 10) /))
-
-
-  TYPE(ctrl_out), SAVE, DIMENSION(4) :: o_evap_srf     = (/ &
-      ctrl_out((/ 1, 6, 10, 10, 10, 10, 11, 11, 11, 11/),'evap_ter', &
-      "evaporation at surface "//clnsurf(1),"kg/(s*m2)", (/ ('', i=1, 10) /)), &
-      ctrl_out((/ 1, 6, 10, 10, 10, 10, 11, 11, 11, 11/),'evap_lic', &
-      "evaporation at surface "//clnsurf(2),"kg/(s*m2)", (/ ('', i=1, 10) /)), &
-      ctrl_out((/ 1, 6, 10, 10, 10, 10, 11, 11, 11, 11/),'evap_oce', &
-      "evaporation at surface "//clnsurf(3),"kg/(s*m2)", (/ ('', i=1, 10) /)), &
-      ctrl_out((/ 1, 6, 10, 10, 10, 10, 11, 11, 11, 11/),'evap_sic', &
-      "evaporation at surface "//clnsurf(4),"kg/(s*m2)", (/ ('', i=1, 10) /)) /)
+          'lat_snow_sic', 'Latent heat flux of solid prec. over seaice', 'W/m2', (/ ('', i = 1, 10) /))
+
+  TYPE(ctrl_out), SAVE, DIMENSION(4) :: o_evap_srf = (/ &
+          ctrl_out((/ 1, 6, 10, 10, 10, 10, 11, 11, 11, 11/), 'evap_ter', &
+                  "evaporation at surface " // clnsurf(1), "kg/(s*m2)", (/ ('', i = 1, 10) /)), &
+                  ctrl_out((/ 1, 6, 10, 10, 10, 10, 11, 11, 11, 11/), 'evap_lic', &
+                          "evaporation at surface " // clnsurf(2), "kg/(s*m2)", (/ ('', i = 1, 10) /)), &
+                  ctrl_out((/ 1, 6, 10, 10, 10, 10, 11, 11, 11, 11/), 'evap_oce', &
+                          "evaporation at surface " // clnsurf(3), "kg/(s*m2)", (/ ('', i = 1, 10) /)), &
+                  ctrl_out((/ 1, 6, 10, 10, 10, 10, 11, 11, 11, 11/), 'evap_sic', &
+                          "evaporation at surface " // clnsurf(4), "kg/(s*m2)", (/ ('', i = 1, 10) /)) /)
 
   TYPE(ctrl_out), SAVE :: o_msnow = ctrl_out((/ 1, 10, 10, 10, 10, 10, 11, 11, 11, 11/), &
-    'msnow', 'Surface snow amount', 'kg/m2', (/ ('', i=1, 10) /))
+          'msnow', 'Surface snow amount', 'kg/m2', (/ ('', i = 1, 10) /))
   TYPE(ctrl_out), SAVE :: o_fsnow = ctrl_out((/ 1, 10, 10, 10, 10, 10, 11, 11, 11, 11/), &
-    'fsnow', 'Surface snow area fraction', '-', (/ ('', i=1, 10) /))
+          'fsnow', 'Surface snow area fraction', '-', (/ ('', i = 1, 10) /))
   TYPE(ctrl_out), SAVE :: o_tops = ctrl_out((/ 1, 1, 10, 10, 10, 10, 11, 11, 11, 11/), &
-    'tops', 'Solar rad. at TOA', 'W/m2', (/ ('', i=1, 10) /))
+          'tops', 'Solar rad. at TOA', 'W/m2', (/ ('', i = 1, 10) /))
   TYPE(ctrl_out), SAVE :: o_tops0 = ctrl_out((/ 1, 5, 10, 10, 10, 10, 11, 11, 11, 11/), &
-    'tops0', 'CS Solar rad. at TOA', 'W/m2', (/ ('', i=1, 10) /))
+          'tops0', 'CS Solar rad. at TOA', 'W/m2', (/ ('', i = 1, 10) /))
   TYPE(ctrl_out), SAVE :: o_topl = ctrl_out((/ 1, 1, 10, 5, 10, 10, 11, 11, 11, 11/), &
-    'topl', 'IR rad. at TOA', 'W/m2', (/ ('', i=1, 10) /))
+          'topl', 'IR rad. at TOA', 'W/m2', (/ ('', i = 1, 10) /))
   TYPE(ctrl_out), SAVE :: o_topl0 = ctrl_out((/ 1, 5, 10, 10, 10, 10, 11, 11, 11, 11/), &
-    'topl0', 'IR rad. at TOA', 'W/m2', (/ ('', i=1, 10) /))
+          'topl0', 'IR rad. at TOA', 'W/m2', (/ ('', i = 1, 10) /))
   TYPE(ctrl_out), SAVE :: o_SWupTOA = ctrl_out((/ 1, 4, 10, 10, 10, 10, 11, 11, 11, 11/), &
-    'SWupTOA', 'SWup at TOA', 'W/m2', (/ ('', i=1, 10) /))
+          'SWupTOA', 'SWup at TOA', 'W/m2', (/ ('', i = 1, 10) /))
   TYPE(ctrl_out), SAVE :: o_SWupTOAclr = ctrl_out((/ 1, 4, 10, 10, 10, 10, 11, 11, 11, 11/), &
-    'SWupTOAclr', 'SWup clear sky at TOA', 'W/m2', (/ ('', i=1, 10) /))
+          'SWupTOAclr', 'SWup clear sky at TOA', 'W/m2', (/ ('', i = 1, 10) /))
   TYPE(ctrl_out), SAVE :: o_SWupTOAcleanclr = ctrl_out((/ 11, 11, 11, 11, 11, 11, 11, 11, 11, 11/), &
-    'SWupTOAcleanclr', 'SWup clear sky clean (no aerosol) at TOA', 'W/m2', (/ ('', i=1, 10) /))
+          'SWupTOAcleanclr', 'SWup clear sky clean (no aerosol) at TOA', 'W/m2', (/ ('', i = 1, 10) /))
   TYPE(ctrl_out), SAVE :: o_SWdnTOA = ctrl_out((/ 1, 4, 10, 10, 10, 10, 11, 11, 11, 11/), &
-    'SWdnTOA', 'SWdn at TOA', 'W/m2', (/ ('', i=1, 10) /))
+          'SWdnTOA', 'SWdn at TOA', 'W/m2', (/ ('', i = 1, 10) /))
   TYPE(ctrl_out), SAVE :: o_SWdnTOAclr = ctrl_out((/ 1, 4, 10, 10, 10, 10, 11, 11, 11, 11/), &
-    'SWdnTOAclr', 'SWdn clear sky at TOA', 'W/m2', (/ ('', i=1, 10) /))
+          'SWdnTOAclr', 'SWdn clear sky at TOA', 'W/m2', (/ ('', i = 1, 10) /))
   TYPE(ctrl_out), SAVE :: o_nettop = ctrl_out((/ 1, 4, 10, 10, 10, 10, 11, 11, 11, 11/), &
-    'nettop', 'Net dn radiatif flux at TOA', 'W/m2', (/ ('', i=1, 10) /))
+          'nettop', 'Net dn radiatif flux at TOA', 'W/m2', (/ ('', i = 1, 10) /))
   TYPE(ctrl_out), SAVE :: o_SWup200 = ctrl_out((/ 1, 10, 10, 10, 10, 10, 11, 11, 11, 11/), &
-    'SWup200', 'SWup at 200mb', 'W/m2', (/ ('', i=1, 10) /))
+          'SWup200', 'SWup at 200mb', 'W/m2', (/ ('', i = 1, 10) /))
   TYPE(ctrl_out), SAVE :: o_SWup200clr = ctrl_out((/ 10, 1, 10, 10, 10, 10, 11, 11, 11, 11/), &
-    'SWup200clr', 'SWup clear sky at 200mb', 'W/m2', (/ ('', i=1, 10) /))
+          'SWup200clr', 'SWup clear sky at 200mb', 'W/m2', (/ ('', i = 1, 10) /))
   TYPE(ctrl_out), SAVE :: o_SWdn200 = ctrl_out((/ 1, 10, 10, 10, 10, 10, 11, 11, 11, 11/), &
-    'SWdn200', 'SWdn at 200mb', 'W/m2', (/ ('', i=1, 10) /))
+          'SWdn200', 'SWdn at 200mb', 'W/m2', (/ ('', i = 1, 10) /))
   TYPE(ctrl_out), SAVE :: o_SWdn200clr = ctrl_out((/ 10, 1, 10, 10, 10, 10, 11, 11, 11, 11/), &
-    'SWdn200clr', 'SWdn clear sky at 200mb', 'W/m2', (/ ('', i=1, 10) /))
+          'SWdn200clr', 'SWdn clear sky at 200mb', 'W/m2', (/ ('', i = 1, 10) /))
 
   ! arajouter
